Bug 1740131 - Server Error (API): Internal Server Error When navigate to Red Hat Cloud.
Summary: Server Error (API): Internal Server Error When navigate to Red Hat Cloud.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.11.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.11.0
Assignee: Adam Grare
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-12 10:30 UTC by Satyajit Bulage
Modified: 2019-12-13 14:58 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 14:58:12 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Screenshot is showing actual results. (96.71 KB, image/png)
2019-08-12 10:30 UTC, Satyajit Bulage
no flags Details
Bug Demo (112.65 KB, image/png)
2019-08-21 05:26 UTC, Parthvi Vala
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github ManageIQ integration_tests pull 9323 0 None None None 2019-09-10 09:33:44 UTC

Description Satyajit Bulage 2019-08-12 10:30:51 UTC
Created attachment 1602882 [details]
Screenshot is showing actual results.

Description of problem: After navigating to Red Hat Cloud Navigation getting 500 Internal Server Error --> Data {"error":{"kind":"internal_server_error","message":"404 Not Found","klass":"RestClient::NotFound"}} 


Version-Release number of selected component (if applicable):


How reproducible:100%


Steps to Reproduce:
1. Navigate to Red Hat Cloud -> Providers.
2.
3.

Actual results: Server Error(API). 500 Internal Server Error.


Expected results:There should not be any error after navigating to it.


Additional info:

Comment 3 Adam Grare 2019-08-13 22:15:42 UTC
Now that we've pushed to production you shouldn't see this error anymore, can you confirm @Satyajit

Comment 4 Satyajit Bulage 2019-08-14 14:11:09 UTC
Hello Adam, 

I have tested on appliance(not lab appliance) and found that I able to see Providers under Red Hat Cloud menu.
Internal Server Error has been gone.

But not sure about lab environment.
Thanks,
Satyajit Bulage.

Comment 5 Adam Grare 2019-08-14 14:43:39 UTC
Okay I'm going to mark this as POST then, it wasn't technically fixed by any code change in MIQ or Topology, just pushing existing topology code to the production environment.

Comment 6 Parthvi Vala 2019-08-21 05:25:46 UTC
Hey Adam, I can still reproduce this bug. Putting it back to Assigned.

Comment 7 Parthvi Vala 2019-08-21 05:26:15 UTC
Created attachment 1606366 [details]
Bug Demo

Comment 11 Parthvi Vala 2019-08-21 12:46:40 UTC
FIXED. Verified on 5.11.0.19.20190813184334_ed72c9f.
There is no error after registering the appliance.

Comment 12 Parthvi Vala 2019-09-10 09:40:29 UTC
Hi Adam, instead of displaying a 500 Internal Server Error, can you add a flash message asking the user to register the appliance if not done already?

Comment 13 Adam Grare 2019-09-10 13:46:33 UTC
Hey Parthvi, we are going to improve the validations around this feature in general including this one in the next point release


Note You need to log in before you can comment on or make changes to this bug.